/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.arrebol.taxiservicios.model.dashboard;

import com.arrebol.taxiservicios.model.core.Person;
import com.arrebol.taxiservicios.model.core.User;
import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author Picasso
 */
public class ToCollect implements Serializable {

    private static final long serialVersionUID = -1813231116496813304L;

    private String id;
    private Date collect;
    private Boolean complete;
    private Integer total;
    private Person driver;
    private User createdBy;
    private Date createdOn;
    private User lastUpdatedBy;
    private Date lastUpdatedOn;
    /**
     * Use just to show details in dashboard view
     */
    private String ecomonicNumber;

    /**
     * Constructor by default.
     */
    public ToCollect() {
    }

    /**
     * Set Id from new ToCollect.
     *
     * @param id
     */
    public ToCollect(String id) {
        this.id = id;
    }

    /**
     *
     * @param id
     * @param collect date of the sale
     * @param complete
     * @param total
     * @param driver
     * @param createdBy
     * @param createdOn
     */
    public ToCollect(String id, Date collect, Boolean complete, Integer total, Person driver, User createdBy, Date createdOn) {
        this.id = id;
        this.collect = collect;
        this.complete = complete;
        this.total = total;
        this.driver = driver;
        this.createdBy = createdBy;
        this.createdOn = createdOn;
    }

    /**
     *
     * @param id
     * @param collect
     */
    public ToCollect(String id, Date collect) {
        this.id = id;
        this.collect = collect;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Date getCollect() {
        return collect;
    }

    public void setCollect(Date collect) {
        this.collect = collect;
    }

    public Boolean getComplete() {
        return complete;
    }

    public void setComplete(Boolean complete) {
        this.complete = complete;
    }

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public Person getDriver() {
        return driver;
    }

    public void setDriver(Person driver) {
        this.driver = driver;
    }

    public User getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(User createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public User getLastUpdatedBy() {
        return lastUpdatedBy;
    }

    public void setLastUpdatedBy(User lastUpdatedBy) {
        this.lastUpdatedBy = lastUpdatedBy;
    }

    public Date getLastUpdatedOn() {
        return lastUpdatedOn;
    }

    public void setLastUpdatedOn(Date lastUpdatedOn) {
        this.lastUpdatedOn = lastUpdatedOn;
    }

    public String getEcomonicNumber() {
        return ecomonicNumber;
    }

    public void setEcomonicNumber(String ecomonicNumber) {
        this.ecomonicNumber = ecomonicNumber;
    }

    @Override
    public String toString() {
        return "ToCollect{" + "collect=" + collect + ", complete=" + complete + ", total=" + total + ", driver=" + driver + '}';
    }
}
